| Disk ARchive 2.5.10 Full featured and portable backup and archiving tool

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces
cat_etoile.hpp File Reference
Private

class holding an cat_inode object that get pointed by multiple mirage objects (smart pointers) to record hard links in a catalogue More...

`#include "../my_config.h"`
`#include <list>`
`#include "on_pool.hpp"`
`#include "cat_inode.hpp"`

Go to the source code of this file.

## Classes
class | libdar::cat_etoile
| the hard link implementation (etoile means star in French, seen a star as a point from which are thrown many ray of light) More...

## Namespaces
| libdar
| libdar namespace encapsulate all libdar symbols

## Detailed Description

class holding an cat_inode object that get pointed by multiple mirage objects (smart pointers) to record hard links in a catalogue

Definition in file cat_etoile.hpp.